Settings
Update chat settings
Validated fields in the request body are merged with chat settings and related general fields where applicable.
PUT
/
v1
/
settings
/
chat
Update chat settings
curl --request PUT \
--url https://dev.flextell.ai/api/v1/settings/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"password": "<string>",
"pre_booking_requirements": {
"enabled": true
},
"customer_forms": {
"default_template_id": 123
},
"ai_reply_windows": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
'import requests
url = "https://dev.flextell.ai/api/v1/settings/chat"
payload = {
"password": "<string>",
"pre_booking_requirements": { "enabled": True },
"customer_forms": { "default_template_id": 123 },
"ai_reply_windows": [
{
"start_time": "<string>",
"end_time": "<string>"
}
]
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
password: '<string>',
pre_booking_requirements: {enabled: true},
customer_forms: {default_template_id: 123},
ai_reply_windows: [{start_time: '<string>', end_time: '<string>'}]
})
};
fetch('https://dev.flextell.ai/api/v1/settings/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"prefix": "<string>",
"settings": [
"<unknown>"
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
⌘I
Update chat settings
